<template>
  <ob-table
    :columns="columns"
    :hide-grouping-setting="true"
    :hide-sorting-setting="true"
    :items="dataSource"
    is-fixed-header
  >
    <template
      slot="detectData-icon"
      slot-scope="{ value }"
    >
      <ob-radio
        label
        :disabled="true"
        :value-input="true"
        v-model="value.data.detectData"
      />
    </template>
    <template
      ref="wwee"
      slot="responseData-icon"
      slot-scope="{ value }"
    >
      <ob-radio
        label
        :disabled="true"
        :value-input="true"
        v-model="value.data.responseData"
      />
    </template>
    <div slot="footer">
      <span>{{ dictionaryRu.recordsNumber }} {{ dataSource.length }}</span>
    </div>
  </ob-table>
</template>

<script>
import ObRadio          from 'common-components/src/obComponents/obRadio';
import TableLayoutMixin from '@/mixins/table-layout-mixin';
import ObTable          from 'common-components/src/obComponents/obTable/index';
import { dictionary }   from '@/translations/ru/dictionaries__services__services_list';

export default {
  name: 'ServiceCards',
  render: function(createElement) {
    return createElement;
  },
  mixins: [TableLayoutMixin],
  components: {
    ObTable,
    ObRadio
  },
  props: {
    dataSource: {
      type: Array,
      required: true,
      default: () => []
    }
  },
  data() {
    return {
      dictionaryRu: dictionary
    };
  },
  computed: {
    columns() {
      return [
        {
          title: this.dictionaryRu.columns.cardName,
          key: 'cardName'
        },
        {
          title: this.dictionaryRu.columns.fieldName,
          key: 'fieldName'
        },
        {
          title: this.dictionaryRu.columns.countryName,
          key: 'countryName'
        },
        {
          title: this.dictionaryRu.columns.organizationForm,
          key: 'organizationForm'
        },
        {
          title: this.dictionaryRu.columns.detectData,
          key: 'detectData',
          html: data => {
            return (
              '<div class="input-visual ' +
              (data.detectData ? "checked" : "") +
              '"></div>'
            );
          }
        },
        {
          title: this.dictionaryRu.columns.responseData,
          key: 'responseData',
          html: data => {
            return (
              '<div class="input-visual ' +
              (data.responseData ? "checked" : "") +
              '"></div>'
            );
          }
        }
      ];
    }
  }
};
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/variables";

.input-visual {
  width: 16px;
  height: 16px;
  position: relative;
  border: 2px solid $color-grey-border;
  border-radius: 50%;
}
.input-visual.checked:before {
  content: "";
  border-radius: 50%;
  background: $color-grey-border;
  width: 8px;
  height: 8px;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  margin: auto;
}
</style>
